/* -*- Mode: C++; tab-width: 6 -*- */
/*
 *
 * This file is part of ToyLib a library for OpenTTD noai and nogo
 * Copyright (C) 2014 Krinn <krinn@chez.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


import("Library.AIToyLib", "AIToyLib", 1); // importing the ToyLib
import("Library.SCPLib", "SCPLib", 45); // importing the SCPlib
class AIToyLibTest extends AIController
 {
   constructor()
   {
   }
 }

function AIToyLibTest::AskMoney()
{
	local money = AIBase.RandRange(AICompany.GetLoanInterval());
	AILog.Info("We are asking "+money+" amount of money");
	AIToyLib.ToyAskMoney(money); // that's howto query money
}

function AIToyLibTest::Start()
	{
	local looper = 0;
    local dummy_init = AIToyLib(null); // again dummy init of the lib, SCP ready script should pass the scp handle there, non SCP script pass null
	   while (true)
		{
		looper++;
		AILog.Info("Tick : "+looper+" (wait we ask money every 20 ticks in that test)");
		if ((looper % 20) == 0)	{
								AILog.Info("AIToyTest : Our bank balance is at : "+AICompany.GetBankBalance(AICompany.COMPANY_SELF));
								this.AskMoney();
								}
     	AIToyLib.Check(); // The AI version also handle SCP Check itself. SCP script can just use the SCPLib.Check instead and don't use that function.
     	this.Sleep(10);
	  	}
	}
